#include <Wire.h>

#define BAUD 9600

// I'm a slave
byte own_address = 10;

void setup() {
  Wire.begin(own_address);       // join i2c bus with address #10
  Wire.onReceive(receiveEvent); // register event
  Serial.begin(BAUD);           // start serial for output
}

void loop() {
  delay(50);
}

void receiveEvent(int howMany) {
  while (1 < Wire.available()) { // loop through all but the last
    char c = Wire.read(); // receive byte as a character
    Serial.print(c);         // print the character
  }
}
